
require 'sketchup.rb'
require 'extensions.rb'
module VBO
    module ProfilesToy
        WIN = (Object::RUBY_PLATFORM =~ /mswin/i || Object::RUBY_PLATFORM =~ /mingw/i) unless defined?(WIN)
        OSX = ( Object::RUBY_PLATFORM =~ /(darwin)/i ? true : false ) unless defined?(OSX)
        PLUGIN_NAME     = 'Profiles Toy'.freeze
        PLUGIN_VERSION  = '1.0.4'.freeze
        unless file_loaded?( __FILE__ )
            ex = SketchupExtension.new( PLUGIN_NAME, 'vbo_profiles_toy/loader' )
             ex.version     = PLUGIN_VERSION
             ex.copyright   = 'VBO'
             ex.creator     = 'VBO Team'
             Sketchup.register_extension( ex, true )
        end
  end
end
file_loaded( __FILE__ )
